%define	module	File-Find-Rule
%define	name	perl-%{module}
%define version 0.30
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Alternative interface to File::Find
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/File/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Text::Glob)
BuildRequires:	perl(Number::Compare)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description 
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/File
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.30-4mdv2009.0
+ Revision: 241215
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-2mdv2008.0
+ Revision: 46977
- rebuild


* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.0
- New release 0.30
- HTTP source URL

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdk
- New release 0.29
- better source URL
- better buildrequires syntax

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-3mdk 
- don't ship useless empty dirs
- spec cleanup
- rpmbuildupdate aware
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.28-2mdk
- fix buildrequires in a backward compatible way

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.28-1mdk
- 0.28

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.27-1mdk
- first mdk release

